<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
	xmlns:p="http://primefaces.org/ui" xmlns:cc="http://xmlns.jcp.org/jsf/composite">
	<cc:interface>
		<cc:attribute name="value" required="true" type="java.lang.Boolean" />
		<cc:attribute name="offText" required="false" default="off" />
		<cc:attribute name="onText" required="false" default="on" />
		<cc:attribute name="required" required="false" default="false" type="java.lang.Boolean" />
		<cc:attribute name="requiredMessage" required="false" default="" />
	</cc:interface>
	<cc:implementation>
		<p:selectBooleanCheckbox value="#{cc.attrs.value}" itemLabel="#{cc.attrs.onText}" required="#{cc.attrs.required}" requiredMessage="#{cc.attrs.requiredMessage}" />
	</cc:implementation>
</ui:composition>